
#include <stddef.h>

/* REMIND: dependency to timespec should be removed from umic */
struct timespec {
  unsigned long tv_sec;
  unsigned long tv_nsec;
};
typedef unsigned u_int;
typedef long int intptr_t;

/* to be provided by the environment */
extern "C" {
  extern void __assert_fail (__const char *__assertion, __const char *__file,
			     unsigned int __line, __const char *__function);
  extern int sprintf(char * buf, const char * fmt, ...) __attribute__ ((format (printf, 2, 3)));
  extern void *memcpy (void *, const void *,  size_t );
  extern void *memset (void *, int , size_t);
  extern char *strcpy (char *, const char *);
}

#  define assert(expr) \
  ((void) ((expr) ? 0 :					      \
		       (__assert_fail (#expr, __FILE__, __LINE__,    \
				       __func__), 0)))

inline void* operator new(size_t, void* __p) throw() { return __p; }



#define MMSYS_lkern 1	/* timespec defined		*/
#define _MM_NO_IOSTREAM
#define MMCCS_gcc3
