set -e
#
# first pass
#
make  -C /lib/modules/$(uname -r)/build SUBDIRS=$PWD GPIB_INCLUDE_DIR=$PWD/../include GPIB_LIB_DIR=$PWD/../kob_x86 modules 

#
# optional second pass
# for kernels compiles with -mregparm=[123]
#
fgrep -q "regparm=3" .gpib.o.cmd && {
  rm -f *.o *.ko igpib.mod.c
  make  -C /lib/modules/$(uname -r)/build SUBDIRS=$PWD GPIB_INCLUDE_DIR=$PWD/../include GPIB_LIB_DIR=$PWD/../kob_x86rp3 modules 
  exit
}
grep -q -e "regparm=[12]" .gpib.o.cmd && { echo "Kernel not supported, contact support@inesinc.com"; exit; }

